{%- macro _color(freigabe_status) -%}
  {% if freigabe_status == "fachlich freigegeben (gold)" %}
    class="badge rounded-pill badge-success"
  {% elif freigabe_status == "fachlich freigegeben (silber)" %}
    class="badge rounded-pill badge-success"
  {% elif freigabe_status == "methodisch freigegeben" %}
    class="badge rounded-pill badge-info"
  {% elif freigabe_status == "Entwurf" %}
    class="badge rounded-pill badge-warning"
  {% elif freigabe_status == "in Planung" %}
    class="badge rounded-pill badge-warning"
  {% elif freigabe_status == "in Bearbeitung" %}
    class="badge rounded-pill badge-warning"
  {% elif freigabe_status == "inaktiv" %}
    class="badge rounded-pill badge-light"
  {% elif freigabe_status == "vorgesehen zum Löschen" %}
    class="badge rounded-pill badge-danger"
  {% else %}
    class="badge rounded-pill badge-light"
  {% endif %}
{%- endmacro -%}

{%- macro freigabestatus_badge(freigabe_status) -%}
  <span {{- _color(freigabe_status) -}}>{{ freigabe_status }} </span>
{%- endmacro -%}

{%- macro freigabestatus_leistung(prefix, freigabe_status) -%}
  <span {{ _color(freigabe_status) }}
    ><span class="fw-normal">{{ prefix }}:</span> {{ freigabe_status }}</span
  >
{%- endmacro -%}
